Median of the sum of the base fee and priority fee that day
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/transaction-fee-med-native \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/transaction-fee-med-native?project=ethereum"
{ "ethereum": [ { "date": "2026-02-19", "value": 0.0000066517366451682335 }, { "date": "2026-02-18", "value": 0.000005613940485132871 }, { "date": "2026-02-17", "value": 0.000005034288081384663 }, { "date": "2026-02-16", "value": 0.000002880272711353484 }, { "date": "2026-02-15", "value": 0.00000352574099758303 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
ethereum
hyperevm
katana
megaeth
monad
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK